FUTIMESAT(2)

NAME
futimes - change timestamps of a file relative to a directory file descriptor

SYNOPSIS
#include <fcntl.h>

int futimesat(int dirfd, const char *pathname,
              const struct timeval times[2]);

DESCRIPTION
The futimesat() system call operates in exactly the same way as utimes(2), except for the differences described in this manual page. If the pathname given in pathname is relative, then it is interpreted relative to the directory referred to by the file descriptor dirfd (rather than relative to the current working directory of the calling process, as is done by utimes(2) for a relative pathname). If pathname is relative and dirfd is the special value AT_FDCWD, then pathname is interpreted relative to the current working directory of the calling process (like utimes(2)). If pathname is absolute, then dirfd is ignored.

RETURN VALUE
On success, futimesat() returns a 0. On error, -1 is returned and errno is set to indicate the error.

ERRORS
The same errors that occur for utimes(2) can also occur for futimesat(). The following additional errors can occur for futimesat():

EBADF
    dirfd is not a valid file descriptor.

ENOTDIR
    pathname is relative and dirfd is a file descriptor referring to a file other than a directory.

CONFORMING TO
This system call is non-standard but is proposed for inclusion in a future revision of POSIX.1. A similar system call exists on Solaris.

GLIBC NOTES
If pathname is NULL, then the glibc futimes() wrapper function updates the times for the file referred to by dirfd.

VERSIONS
futimesat() was added to Linux in kernel 2.6.16.

SEE ALSO
path_resolution(2), stat(2), utimes(2), futimes(3)